/*                                                   Copyright (c) ZiLOG, 2003
 *****************************************************************************
 *  Globals.h
 *
 *****************************************************************************
 */
extern UBYTE clkmtxa[16]; /* Clock matrix array-phase a      */
extern UBYTE dspmtxa[64]; /* Display matrix array-phase a    */
extern UBYTE clkmtxb[16]; /* Clock matrix array-phase b      */
extern UBYTE dspmtxb[64]; /* Display matrix array-phase b    */
extern UBYTE dspstga[64]; /* Staging data for matrix-phase a */
extern UBYTE dspstgb[64]; /* Staging data for matrix-phase a */

extern UBYTE thold  ; /* Time hold             */
extern UBYTE ssecs  ; /* Sub-seconds (1/60ths) */
extern UBYTE secs   ; /* Seconds               */
extern UBYTE mins   ; /* Minutes               */
extern UBYTE hrs    ; /* Hours                 */
extern UBYTE day    ; /* Day                   */
extern UBYTE month  ; /* Month                 */
extern UBYTE year   ; /* Year                  */
extern UBYTE newmin ; /* New minute flag       */

/* The current key being pressed (this auto-repeats when needed) */
/* App that "uses" the keypress should set to KEY_NONE after use */
extern UBYTE curkey ;


/* This is a flag to turn off the display.  I need this to be    */
/* able to listen to the WWVB radio.                             */
extern UBYTE doff ;

/* This is simply a count that inrements every 50ms to help with */
/* timing routines that need to be sync'd to the display refresh */
extern UBYTE tim50ms ;

/* Semaphore info for the transition engine */
extern UBYTE transition_busy ;
extern UBYTE transition_type ;
extern UBYTE transition_direction ;
extern UBYTE transition_lines ;


/* some globals for WWVB time setting */
extern UBYTE wwvb_led    ; /* the state for the LED showing the WWVB signal       */
extern UBYTE wwv_pa      ; /* Bit 5 of the radio enable bit                       */
extern UBYTE dstflag     ; /* DST live transition flag.                           */
extern UBYTE nsecs       ; /* Number of seconds in this minute (for leap seconds  */
