/*                                         Copyright (c) CMI Productions, 2007
 *****************************************************************************
 *  mystring.c (1.0)
 *
 *  My String functions
 ****EXTERNAL*****************************************************************
 * itoa2 : Integer to ASCII (2 bytes)
 *
 * These are the generic routines.  time.c uses direct access to the clkmtx
 * array for showing the "analog" time.
 ****INTERNAL*****************************************************************
 * None
 *****************************************************************************
*/

#include <ez80.h>
#include <string.h>

#include "def.h"

/****************************************************************************
* Routne   : itoa2
* Gazintas : a: byte with value 0-99
*            *str: Place to put the value
* IOs      : None
* Returns  : string with ASCII value of "a"
* Globals  : None
*
* This routine is a quick routine to convert an unsigned byte to ASCII
* assumimg the byte can only have a value range of 00-99.  Pretty limiting
* for the normal case, but for a clock that works out quite well and this 
* ends up being quite efficient
****************************************************************************/
void itoa2 ( UBYTE a, UBYTE* str)
{
  str[0]=(a/10)+'0' ;
  str[1]=(a%10)+'0' ;
}

